### Function

# Gimp color_parse_hex

#### Declaration [src]

    GeglColor*
    gimp_color_parse_hex (
      const gchar* hex
    )

#### Description [src]

Attempts to parse a string describing a sRGB color in hexadecimal notation (optionally prefixed with a ‘#’).

#### Parameters

`hex`

  Type: `const gchar*`

  A string describing a color in hexadecimal notation.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglColor`

A newly allocated color representing `hex`.

The caller of the function takes ownership of the data, and is responsible for freeing it.